"""add required_dimensions attribute to NodeRevision

Revision ID: bd313a10e2a8
Revises: 4e1ff36c27c6
Create Date: 2023-07-11 23:37:50.924139+00:00

"""
# pylint: disable=no-member, invalid-name, missing-function-docstring, unused-import, no-name-in-module

import sqlalchemy as sa
import sqlmodel

from alembic import op

# revision identifiers, used by Alembic.
revision = "bd313a10e2a8"
down_revision = "4e1ff36c27c6"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "metric_required_dimensions",
        sa.Column("metric_id", sa.Integer(), nullable=False),
        sa.Column("bound_dimension_id", sa.Integer(), nullable=False),
        sa.ForeignKeyConstraint(
            ["bound_dimension_id"],
            ["column.id"],
            name=op.f("fk_metric_required_dimensions_bound_dimension_id_column"),
        ),
        sa.ForeignKeyConstraint(
            ["metric_id"],
            ["noderevision.id"],
            name=op.f("fk_metric_required_dimensions_metric_id_noderevision"),
        ),
        sa.PrimaryKeyConstraint(
            "metric_id",
            "bound_dimension_id",
            name=op.f("pk_metric_required_dimensions"),
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("metric_required_dimensions")
    # ### end Alembic commands ###
